ServerEvents.recipes(event => {

event.shaped('compressedcreativity:heater',[
' A ',
'BCB',
'DBD'
],
{
A:'create:blaze_burner',
B:'pneumaticcraft:compressed_iron_block',
C:'compressedcreativity:compressed_iron_casing',
D:'pneumaticcraft:heat_pipe'
})

event.recipes.create.compacting('3x thermal:rubber', Fluid.of('thermal:latex'))

event.remove({id:'create_dd:crafting/mechanical_belt_from_rubber'})

event.shaped('4x create:belt_connector',[
'AAA',
'AAA'
],{A:'#forge:rubber'})

event.remove({id:'thermal:energy_cell'})

event.shaped('thermal:energy_cell',[
'ABA',
'CDC',
'AEA'
],{
A:'#forge:rubber',
B:'minecraft:redstone_block',
C:'minecraft:iron_ingot',
D:'thermal:energy_cell_frame',
E:'thermal:rf_coil'
})

event.remove({id:'thermal:fluid_reservoir'})

event.shaped('thermal:fluid_reservoir',[
'BAB',
'CDC',
' E '
],{
A:'#forge:rubber',
B:'minecraft:copper_ingot',
C:'#forge:glass',
D:'minecraft:bucket',
E:'thermal:redstone_servo'
})

event.remove({id:'thermal:potion_infuser'})

event.shaped('thermal:potion_infuser',[
'ABA',
'CDC',
' C '
],{
A:'#forge:rubber',
B:'minecraft:glass_bottle',
C:'minecraft:copper_ingot',
D:'thermal:silver_gear'
})

event.remove({id:'thermal:tools/rf_potato'})

event.shaped('thermal:rf_potato',[
'BCB',
'ADA',
'CBC'
],{
A:'#forge:rubber',
B:'thermal:lead_nugget',
C:'minecraft:redstone',
D:'minecraft:potato'
})

event.remove({id:'thermal:fluid_minecart'})

event.shaped('thermal:fluid_minecart',[
' B ',
'CDC',
' A '
],{
A:'#forge:rubber',
B:'thermal:fluid_cell_frame',
C:'thermal:bronze_ingot',
D:'minecraft:minecart'
})

event.remove({id:'thermal:potion_quiver'})

event.shaped('thermal:potion_quiver',[
'B B',
'CDE',
'ABA'
],{
A:'#forge:rubber',
B:'minecraft:copper_ingot',
C:'minecraft:glass_bottle',
D:'thermal:silver_gear',
E:'#forge:string'
})

event.remove({id:'thermal:augments/fluid_tank_augment'})

event.shaped('thermal:fluid_tank_augment',[
'ABA',
'BCB',
'ABA'
],{
A:'#forge:rubber',
B:'minecraft:iron_ingot',
C:'#thermal:glass/hardened'
})

event.remove({id:'thermal:fluid_cell'})

event.shaped('thermal:fluid_cell',[
'ACA',
'BDB',
'AEA'
],{
A:'#forge:rubber',
B:'minecraft:iron_ingot',
C:'#thermal:glass/hardened',
D:'thermal:fluid_cell_frame',
E:'thermal:redstone_servo'
})

event.remove({id:'thermal:armor/hazmat_boots'})

event.shaped('thermal:hazmat_boots',[
'B B',
'CAC'
],{
A:'#forge:rubber',
B:'thermal:hazmat_fabric',
C:'#forge:leather'
})

event.remove({id:'thermal:hazmat_fabric'})

event.shaped('thermal:hazmat_fabric',[
' B ',
'BAB',
' B '
],{
A:'#forge:rubber',
B:'#forge:string'
})

event.remove({id:'create_dd:sequenced_assembly/sealed_mechanism'})

event.recipes.create.sequenced_assembly([
Item.of('create_dd:sealed_mechanism').withChance(100.0),
Item.of('create:copper_sheet').withChance(8.0),
Item.of('minecraft:slime_ball').withChance(7.5),
Item.of('create:cogwheel').withChance(5.0),
Item.of('create:framed_glass').withChance(5.0),
Item.of('minecraft:glass').withChance(2.5),
Item.of('create:copper_nugget').withChance(2.5),
Item.of('create:shaft').withChance(2.5)
],'#forge:rubber',[
event.recipes.createDeploying('create_dd:incomplete_sealed_mechanism',['create_dd:incomplete_sealed_mechanism','create:cogwheel']),
event.recipes.createDeploying('create_dd:incomplete_sealed_mechanism',['create_dd:incomplete_sealed_mechanism','minecraft:dried_kelp']),
event.recipes.createDeploying('create_dd:incomplete_sealed_mechanism',['create_dd:incomplete_sealed_mechanism','create:copper_sheet']),
event.recipes.createDeploying('create_dd:incomplete_sealed_mechanism',['create_dd:incomplete_sealed_mechanism','#forge:glass/colorless'])
]).transitionalItem('create_dd:incomplete_sealed_mechanism').loops(4)

event.remove({id:'create_dd:mechanical_crafting/splashing_sail'})

event.recipes.create.mechanical_crafting('4x create_dd:splashing_sail',[
'ABA',
'BCB',
'ABA'
],{
A:'create:white_sail',
B:'#forge:rubber',
C:'minecraft:water_bucket'
})

event.remove({id:'create_dd:mechanical_crafting/haunting_sail'})

event.recipes.create.mechanical_crafting('4x create_dd:haunting_sail',[
'ABA',
'BCB',
'ABA'
],{
A:'create:white_sail',
B:'#forge:rubber',
C:'minecraft:soul_campfire'
})

event.remove({id:'create_dd:mechanical_crafting/smoking_sail'})

event.recipes.create.mechanical_crafting('4x create_dd:smoking_sail',[
'ABA',
'BCB',
'ABA'
],{
A:'create:white_sail',
B:'#forge:rubber',
C:'minecraft:campfire'
})

event.remove({id:'create_dd:mechanical_crafting/freezing_sail'})

event.recipes.create.mechanical_crafting('4x create_dd:freezing_sail',[
'ABA',
'BCB',
'ABA'
],{
A:'create:white_sail',
B:'#forge:rubber',
C:'minecraft:powder_snow_bucket'
})

})